Bug 12927 - [S60] SLON-6VZ8VU Web Browser crashes when attemping to view local file
Summary: [S60] SLON-6VZ8VU Web Browser crashes when attemping to view local file
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 523.x (Safari 3)
Hardware: S60 Emulator S60 3rd edition
: P1 Blocker
Assignee: Pat
URL: file:///
Keywords: PlatformOnly
Depends on:
Blocks:
 
Reported: 2007-02-28 07:57 PST by Pat
Modified: 2011-03-21 11:53 PDT (History)
0 users

See Also:


Attachments
Patch for 3.1 (1.21 KB, patch)
2007-02-28 10:28 PST, Pat
Sachin.Padma: review-
Details | Formatted Diff | Diff
Patch for 3.2 (1.13 KB, patch)
2007-02-28 10:30 PST, Pat
Sachin.Padma: review-
Details | Formatted Diff | Diff
3.1 patch for fixing crash and displaying local image file (4.65 KB, patch)
2007-03-02 09:08 PST, Pat
Sachin.Padma: review+
Details | Formatted Diff | Diff
3.2 patch for fixing crash and displaying local image file (3.67 KB, patch)
2007-03-02 09:09 PST, Pat
Sachin.Padma: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pat 2007-02-28 07:57:58 PST
Loading a load file crashes the browser
file:///c:/data/a.jpg
Comment 1 Pat 2007-02-28 07:59:04 PST
TSW Error ID: SLON-6VZ8VU
Comment 2 Pat 2007-02-28 10:28:57 PST
Created attachment 13423 [details]
Patch for 3.1

Patch for 3.1 to prevent crash when loading local file
Comment 3 Pat 2007-02-28 10:30:35 PST
Created attachment 13424 [details]
Patch for 3.2

Patch for 3.2 to prevent crash when loading local files.
Comment 4 Sachin Padma 2007-02-28 10:47:35 PST
Comment on attachment 13423 [details]
Patch for 3.1

Please fix the reason why content file is null else bug is going to come back because the use case will not work.
Comment 5 Pat 2007-03-02 09:08:17 PST
Created attachment 13451 [details]
3.1 patch for fixing crash and displaying local image file
Comment 6 Pat 2007-03-02 09:09:23 PST
Created attachment 13452 [details]
3.2 patch for fixing crash and displaying local image file
Comment 7 Sachin Padma 2007-03-06 13:06:18 PST
Comment on attachment 13451 [details]
3.1 patch for fixing crash and displaying local image file

r=me
Comment 8 Sachin Padma 2007-03-06 13:07:15 PST
Comment on attachment 13452 [details]
3.2 patch for fixing crash and displaying local image file

r=me
Comment 9 Bradley Morrison 2007-03-07 15:19:38 PST
landed - r20033 & r20032
Comment 10 Krishna 2007-03-12 08:21:44 PDT
Verified and Closed.
Comment 11 Joel Parks 2011-03-21 11:53:13 PDT
re-purposing InTSW keyword for use by QtWebkit team